package com.hzya.frame.grpU8.nxproof.oerannex.entity;

import com.hzya.frame.web.entity.BaseEntity;

/*
* @Description 附件关系表
* @Author xiangerlin
  @Date 2022-10-26 8:44
*/
public class OerAnnexEntity extends BaseEntity {

   private String annexid; //主键id
   private String mlid;//报销单id
   private String gsdm;//公司代码 默认001
   private String kjnd;//会计年度
   private String bnxid;// 不知道是什么  填0
   private String xh;//序号
   private String onlyid;// AT_AttachmentFile 表的主键ATGuid
   private String annexName;//附件名
   private Long annexSize;//附件大小
   private String showSize;//附件大小显示值
   private String ole;// 不知道是什么，填空
   private String fjType;//附件类型， 数据库中只有 其他、其他其他(&Z)、合同3种类型
   private String fpid;//不知道是什么 填空

   private String maxAnnexid;//最大id

   private String aTextName;//后缀名

   public String getAnnexid() {
      return annexid;
   }

   public void setAnnexid(String annexid) {
      this.annexid = annexid;
   }

   public String getMlid() {
      return mlid;
   }

   public void setMlid(String mlid) {
      this.mlid = mlid;
   }

   public String getGsdm() {
      return gsdm;
   }

   public void setGsdm(String gsdm) {
      this.gsdm = gsdm;
   }

   public String getKjnd() {
      return kjnd;
   }

   public void setKjnd(String kjnd) {
      this.kjnd = kjnd;
   }

   public String getBnxid() {
      return bnxid;
   }

   public void setBnxid(String bnxid) {
      this.bnxid = bnxid;
   }

   public String getXh() {
      return xh;
   }

   public void setXh(String xh) {
      this.xh = xh;
   }

   public String getOnlyid() {
      return onlyid;
   }

   public void setOnlyid(String onlyid) {
      this.onlyid = onlyid;
   }

   public String getAnnexName() {
      return annexName;
   }

   public void setAnnexName(String annexName) {
      this.annexName = annexName;
   }

   public Long getAnnexSize() {
      return annexSize;
   }

   public void setAnnexSize(Long annexSize) {
      this.annexSize = annexSize;
   }

   public String getShowSize() {
      return showSize;
   }

   public void setShowSize(String showSize) {
      this.showSize = showSize;
   }

   public String getOle() {
      return ole;
   }

   public void setOle(String ole) {
      this.ole = ole;
   }

   public String getFjType() {
      return fjType;
   }

   public void setFjType(String fjType) {
      this.fjType = fjType;
   }

   public String getFpid() {
      return fpid;
   }

   public void setFpid(String fpid) {
      this.fpid = fpid;
   }

   public String getMaxAnnexid() {
      return maxAnnexid;
   }

   public void setMaxAnnexid(String maxAnnexid) {
      this.maxAnnexid = maxAnnexid;
   }

   public String getaTextName() {
      return aTextName;
   }

   public void setaTextName(String aTextName) {
      this.aTextName = aTextName;
   }
}
